diagrams:
  - diagramNumber: 1 
    loops: 1
    preFactor: (-1)*1
    externalLines: 
      - {incomingMomentum: q1, vertex: 1, incomingParticle: fb}
      - {incomingMomentum: q2, vertex: 2, incomingParticle: fD}
      - {incomingMomentum: q3, vertex: 3, incomingParticle: fD}
      - {incomingMomentum: q4, vertex: 4, incomingParticle: fb}
    internalLines:
      - {momentum: p1, vertices: [1, 2], incomingParticle: fU, outgoingParticle: fu, mass: }
      - {momentum: p2, vertices: [3, 1], incomingParticle: w2, outgoingParticle: w1, mass: }
      - {momentum: p3, vertices: [2, 4], incomingParticle: w2, outgoingParticle: w1, mass: }
      - {momentum: p4, vertices: [4, 3], incomingParticle: fU, outgoingParticle: fu, mass: }

  - diagramNumber: 2 
    loops: 1
    preFactor: (+1)*1
    externalLines: 
      - {incomingMomentum: q1, vertex: 1, incomingParticle: fb}
      - {incomingMomentum: q2, vertex: 2, incomingParticle: fD}
      - {incomingMomentum: q3, vertex: 3, incomingParticle: fD}
      - {incomingMomentum: q4, vertex: 4, incomingParticle: fb}
    internalLines:
      - {momentum: p1, vertices: [2, 1], incomingParticle: w2, outgoingParticle: w1, mass: }
      - {momentum: p2, vertices: [1, 3], incomingParticle: fU, outgoingParticle: fu, mass: }
      - {momentum: p3, vertices: [4, 2], incomingParticle: fU, outgoingParticle: fu, mass: }
      - {momentum: p4, vertices: [3, 4], incomingParticle: w2, outgoingParticle: w1, mass: }
